/**** e[u쐬 ****/
USE [bom_report]
GO

CREATE TABLE [dbo].[t_environmental]
(
    [environment_item]                  [nvarchar] (128)    NOT NULL,
    [environment_value]                 [nvarchar] (max)    NOT NULL
)
GO

USE [bom_report]
GO

CREATE TABLE [dbo].[t_collect_terms]
(
    [history_id]                        [int]               IDENTITY(1,1),
    [execute_time]                      [datetime]          NOT NULL,
    [minimum_time]                      [datetime]          NOT NULL,
    [maximum_time]                      [datetime]          NOT NULL,
    [inventory_table_name]              [nvarchar] (max)    NOT NULL
    PRIMARY KEY(history_id)
)
GO

USE [bom_report]
GO

CREATE TABLE [dbo].[t_instance]
(
    [instance_setup_id]                 [int]               NOT NULL,
    [product_code]                      [nvarchar] (5)      NOT NULL,
    [instance_type]                     [nvarchar] (128)    NOT NULL,
    [machine_unique_name]               [nvarchar] (256)    NOT NULL,
    [instance_name]                     [nvarchar] (128)    NOT NULL,
    [history_id_begin]                  [int]               NOT NULL,
    [history_id_end]                    [int]               NOT NULL,
    [machine_name]                      [nvarchar] (256)    NOT NULL,
    [machine_alias]                     [nvarchar] (256)    NOT NULL,
    PRIMARY KEY(instance_setup_id,product_code,machine_unique_name,instance_name)
)
GO


USE [bom_report]
GO

CREATE TABLE [dbo].[t_summary_report_data]
(
    [history_id]                        [int]               NOT NULL,
    [instance_setup_id]                 [int]               NOT NULL,
    [watch_setup_id]                    [int]               NOT NULL,
    [table_name]                        [nvarchar] (128)    NOT NULL,
    [maximum_value]                     [money]                 NULL,
    [maximum_date]                      [datetime]              NULL,
    [minimum_value]                     [money]                 NULL,
    [minimum_date]                      [datetime]              NULL,
    [average_value]                     [money]                 NULL,
    [count_value]                       [money]             NOT NULL,
    [sum_value]                         [decimal](28,4)         NULL,
    [incremental_base]                  [money]                 NULL,
    [incremental_max]                   [money]                 NULL,
    [incremental_total]                 [money]                 NULL,
    [compensation_time]                 [datetime]          NOT NULL,
    [additional_information]            [nvarchar] (512)    NOT NULL,
    [data_type]                         [nvarchar] (32)     NOT NULL
    PRIMARY KEY(history_id, instance_setup_id, watch_setup_id,table_name)
)
GO

USE [bom_report]
GO

CREATE TABLE [dbo].[t_dataTbl_template](
    [instance_setup_id]                [int]               NOT NULL,
    [watch_setup_id]                   [int]               NOT NULL,
    [monitor_time]                     [datetime]          NOT NULL,
    [monitor_value]                    [nvarchar](max)     NOT NULL,
    [additional_information]           [nvarchar](128)     NOT NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

USE [bom_report]
GO
CREATE TABLE [dbo].[t_inventory_template](
    [instance_setup_id]                [int]              NOT NULL,
    [archive_time]                     [datetime]         NOT NULL,
    [sysinfo_id]                       [int]              NOT NULL,
    [set_num]                          [int]              NOT NULL,
    [name_space]                       [nvarchar](64)         NULL,
    [class_name]                       [nvarchar](64)         NULL,
    [property_name]                    [nvarchar](64)         NULL,
    [info_value]                       [nvarchar](max)        NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


